Package ru.bgcrm.plugin.bgbilling.proto.model.inet

# Class InetDevice

java.lang.Object
org.bgerp.model.base.tree.TreeItem<Integer,InetDevice>
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetDevice

All Implemented Interfaces:
  `Id<Integer>`, `IdTitle<Integer>`, `Title`, `TreeItem<Integer,InetDevice>`

public class InetDevice extends TreeItem<Integer,InetDevice>

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.tree.TreeItem

  `children, id, parentId, title`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDevice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getDeviceTypeId()`
  `int`
  `getEntityId()`
  `int`
  `getEntitySpecId()`
  `String`
  `getEntityTitle()`
  `String`
  `getIcon()`
  `int`
  `getInvDeviceId()`
  `String`
  `getInvIdentifier()`
  `String`
  `getInvTitle()`
  `String`
  `getTextStyle()`
  `protected boolean`
  `isRootNode()`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDeviceTypeId(int deviceTypeId)`
  `void`
  `setEntityId(int entityId)`
  `void`
  `setEntitySpecId(int entitySpecId)`
  `void`
  `setEntityTitle(String entityTitle)`
  `void`
  `setInvDeviceId(int invDeviceId)`
  `void`
  `setInvIdentifier(String ident)`
  `void`
  `setInvTitle(String invTitle)`

  ### Methods inherited from class org.bgerp.model.base.tree.TreeItem

  `addChild, getAllChildIds, getById, getChild, getChildCount, getChildIds, getChildren, getId, getParentId, getTitle, isInPathTo, isRootNodeWithIntegerId, setChildren, setId, setParentId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetDevice

    public InetDevice()

- ## Method Details

  - ### getDeviceTypeId

    public int getDeviceTypeId()

  - ### setDeviceTypeId

    public void setDeviceTypeId(int deviceTypeId)

  - ### getEntityId

    public int getEntityId()

  - ### setEntityId

    public void setEntityId(int entityId)

  - ### getEntitySpecId

    public int getEntitySpecId()

  - ### setEntitySpecId

    public void setEntitySpecId(int entitySpecId)

  - ### getEntityTitle

    public String getEntityTitle()

  - ### setEntityTitle

    public void setEntityTitle(String entityTitle)

  - ### getInvIdentifier

    public String getInvIdentifier()

  - ### setInvIdentifier

    public void setInvIdentifier(String ident)

  - ### getInvDeviceId

    public int getInvDeviceId()

  - ### setInvDeviceId

    public void setInvDeviceId(int invDeviceId)

  - ### getInvTitle

    public String getInvTitle()

  - ### setInvTitle

    public void setInvTitle(String invTitle)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getIcon

    public String getIcon()
    Overrides:
      `getIcon` in class `TreeItem<Integer,InetDevice>`
    Returns:
      icon HTML.

  - ### getTextStyle

    public String getTextStyle()
    Overrides:
      `getTextStyle` in class `TreeItem<Integer,InetDevice>`
    Returns:
      style attribute for text span.
    See Also:
      - invalid reference

            in BGBilling client.

  - ### isRootNode

    protected boolean isRootNode()
    Specified by:
      `isRootNode` in class `TreeItem<Integer,InetDevice>`